GuideLab Docs

Problem reports on an order

The lab and the order's clinic both read the reports. A clinic never receives the root cause, the investigation or the corrective action. For the lab, an open report of serious harm adds the vigilance facts of its jurisdiction.

GET
/orders/{id}/issues

The lab and the order's clinic both read the reports. A clinic never receives the root cause, the investigation or the corrective action. For the lab, an open report of serious harm adds the vigilance facts of its jurisdiction.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
Length1 <= length <= 200

Response Body

application/json

application/json

curl -X GET "https://example.com/orders/string/issues"
{  "issues": [    {      "id": "string",      "orderId": "string",      "orderItemId": "string",      "channel": "app",      "category": "breakage",      "description": "string",      "detectedOn": "string",      "patientHarm": "none",      "requestedAction": "repair",      "status": "open",      "resolution": "remake",      "reply": "string",      "rootCause": "prescription_impression",      "investigation": "string",      "correctiveAction": "string",      "replacementOrderId": "string",      "reportedByName": "string",      "fileIds": [        "string"      ],      "closedAt": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "vigilance": {    "authority": "string",    "reporting": "string",    "deadlines": "string",    "sources": [      "string"    ]  }}
{  "error": "string"}